#ifndef __C_THREAD__H
#define __C_THREAD__H "$Id: c-threads.h,v 1.1 2005/06/02 21:23:41 HansOesterholt Exp $"

#define C_THREAD_STACK_SIZE 256  /* KB */

typedef void *            t_c_thread_id;
typedef int (*t_c_thread_func)(void *);

/*********************************************************************************/

t_c_thread_id c_thread_create(t_c_thread_func f,void *data);
int           c_thread_join(t_c_thread_id id);

/*********************************************************************************/

/*
=head1 Info

S<C<Author(s):>> Hans Oesterholt (hansatelementalprogrammingdotorgextension).E<lb>
S<C<Copyright:>> (c) 2005.E<lb>
S<C<License  :>> L<Elemental Programming Artistic License|http://www.elemental-programming.org/epwiki/ep_license.html>.E<lb>
S<C<File     :>> c-thread.h $Revision: 1.1 $

=cut
*/
#endif

